#pragma rtGlobals=3

// This function was generated from an input text file.
 //It describes the kinetic model and calculates the derivatives
Function ChemKinetic(pw, tt, yw, dydt)
Wave pw
Variable tt
Wave yw
Wave dydt

Variable/G C //concentration of injected analyte


	dydt[0] = -(pw[0]+pw[2])*C*yw[0]+pw[1]*yw[1]+pw[3]*yw[2]
	dydt[1] = -(pw[1]+pw[6]+pw[8])*yw[1]+pw[0]*C*yw[0]+pw[7]*yw[2]+pw[0]0*yw[2]
	dydt[2] = -(pw[3]+pw[4]+pw[0]0)*yw[2]+pw[2]*C*yw[0]+pw[5]*yw[3]+pw[8]*yw[1]
	dydt[3] = pw[6]*yw[1]+pw[4]*yw[2]-pw[7]*yw[3]-pw[5]*yw[3]
	//dydt[4] = 0

	// User may fill in the following fields as a convenience in keeping track of
	// different chemical species and rate constants. Save this file after adding fields.
	// Chemical Species:
	//	 Differential Equations:
	//	 yw[0] = O1 = 
	//	 yw[1] = O2 = 
	//	 yw[2] = O3 = 
	//	 yw[3] = O4 = 
	//	 yw[4] = NO1 = 
	//	 Linear Equations:
	//
	// Rate Constants:
	// pw[0] = k1 = 
	// pw[1] = k2 = 
	// pw[2] = k3 = 
	// pw[3] = k4 = 
	// pw[4] = k5 = 
	// pw[5] = k6 = 
	// pw[6] = k7 = 
	// pw[7] = k8 = 
	// pw[8] = k9 = 
	// pw[9] = k10 = 

End
